// @flow
import React from 'react';
import { renderSnapshot } from '../../../../../utils/tests';

import type { SegmentedControlItemProps } from './segmented-control-item.proptypes';
import { SegmentedControlItem as Item } from './index';

const DEFAULT_PROPS: SegmentedControlItemProps = {
  value: 'value',
  children: '',
};

describe('SegmentedControlItem', () => {
  describe('snapshot', () => {
    it('matches the previous snapshot', () => {
      const segmentedControlItem = renderSnapshot(
        <Item {...DEFAULT_PROPS}>Item</Item>,
      );
      expect(segmentedControlItem).toMatchSnapshot();
    });
  });
});
